# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="GNOME Shell extenstion to hide the Activities button from the status bar"
HOMEPAGE="https://extensions.gnome.org/extension/744/hide-activities-button/"
SRC_URI="https://extensions.gnome.org/extension-data/Hide_Activitiesshay.shayel.org.v${PV}.shell-extension.zip"

LICENSE="Unlicense"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="
	>=gnome-base/gnome-shell-3.10"
DEPEND="${RDEPEND}"

GNOME_EXT_UUID="Hide_Activities@shay.shayel.org"

S="${WORKDIR}"

src_install() {
	insinto "/usr/share/gnome-shell/extensions/${GNOME_EXT_UUID}"
	doins "extension.js" "metadata.json" "stylesheet.css"
}
